summaryrefslogtreecommitdiff
path: root/dev-python/prettytable
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/prettytable')
-rw-r--r--dev-python/prettytable/Manifest2
-rw-r--r--dev-python/prettytable/metadata.xml14
-rw-r--r--dev-python/prettytable/prettytable-3.17.0.ebuild40
3 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/prettytable/Manifest b/dev-python/prettytable/Manifest
new file mode 100644
index 000000000000..32e9dcefddee
--- /dev/null
+++ b/dev-python/prettytable/Manifest
@@ -0,0 +1,2 @@
+DIST prettytable-3.17.0.tar.gz 67892 BLAKE2B e0537f62c28989323a95e3920e730a59101c506dfc4b3d24a472ee635dcca03894eaf4c9f846183e827178a57b3fe41aafb16d306c06e6c3ab79400257753002 SHA512 89598bd1b92e1ade6289c929dffe6979d18cfbd6931d4f93a12e0140d1361a207a9eb9de743a31fbde623277c95fdcb2cf5469eac7f0a8fdad744a71ff4688a6
+DIST prettytable-3.17.0.tar.gz.provenance 9356 BLAKE2B 9f34f3c8df5b565291e2ad296052511453701454d88c0e904e3aacecd7a8fd1a0ed1282267ced266f1e75e28efce846674b79688abdb09c34374392fae557152 SHA512 78a78518bb3a7a0c375d5e0bb783ba8d3612e6d3a5528728603730e205d4de1cfa510162e8eb0314ac12d4fc97bd9b114cf177b2a980a39a9ace56fda7c10238
diff --git a/dev-python/prettytable/metadata.xml b/dev-python/prettytable/metadata.xml
new file mode 100644
index 000000000000..f8968780a503
--- /dev/null
+++ b/dev-python/prettytable/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>openstack@gentoo.org</email>
+ <name>Openstack</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/prettytable/prettytable-3.17.0.ebuild b/dev-python/prettytable/prettytable-3.17.0.ebuild
new file mode 100644
index 000000000000..acb85a190765
--- /dev/null
+++ b/dev-python/prettytable/prettytable-3.17.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/prettytable/prettytable
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easily displaying tabular data in a visually appealing ASCII table format"
+HOMEPAGE="
+ https://github.com/prettytable/prettytable/
+ https://pypi.org/project/prettytable/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~mips ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-lazy-fixtures )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # remove the implicit dep on coverage
+ sed -i -e '/coverage/d' pyproject.toml || die
+}